﻿using System;
using Microsoft.SPOT;
using System.Net;
using System.IO;

namespace DemoWebClient
{
    public class Program
    {
        public static void Main()
        {
            // Creazione di una nuova richiesta http
            HttpWebRequest request = HttpWebRequest.Create("http://search.twitter.com/search.atom?q=netmf") as HttpWebRequest;

            // Invio della richiesta
            HttpWebResponse response = request.GetResponse() as HttpWebResponse;

            // Uso uno stream reader per leggere la risposta
            using (StreamReader sr = new StreamReader(response.GetResponseStream()))
            {
                // Se lo status code http è 200 (ok)
                if (response.StatusCode == HttpStatusCode.OK)
                {
                    // Debug del contenuto della risposta
                    Debug.Print(sr.ReadToEnd());
                }
                else
                {
                    // Debug dello status code ottenuto (ad es. 404 Not Found)
                    Debug.Print(response.StatusDescription);
                }
            }

        }

    }
}
